SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001373SiT!LDAPpublic2010-07-19 08:542011-04-16 15:07
Reporterianjofriel 
Assigned Topaulh 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformWindowsOSWindows ServerOS Version2000+Later
Product Version3.62 LTS 
Target Version3.63 LTSFixed in Version3.63 LTS 
Summary0001373: SiT will not import LDAP users which have an apostrophe in their name
DescriptionAll users are being pulled correctly via LDAP from our Win2003R2 AD Enviroment when logging in as expected, with the exception of anyone that has an apostrophe in their name ( e.g. Ian O'Friel ) and subsequently, cannot log in
Steps To ReproduceCreate AD account with apostrophe in the users name, replicating this user and removing the apostrophe works, but is not a usable solution
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0003335)
ianjofriel (reporter)
2010-07-19 08:58

auto.php now generates the following error...

Application Error [256]
MySQL Query Error You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'Friel', '2', '', '', 'ian.ofriel@mykeypay.com', '', '', '', 1, '8', '21', '12795' at line 1 in /var/www/it/lib/classes.inc.php @ line 133 trigger_error() add() ldap_storeDetails() saction_ldapSync()

You may have found a bug in SiT, please report it.

Application Warning [512]
Failed to store details for userid 0 in /var/www/it/auto.php @ line 851 trigger_error() saction_ldapSync()
User avatar (0003347)
paulh (administrator)
2010-08-06 19:38

Can repro
User avatar (0003394)
paulh (administrator)
2010-08-29 13:29

r6634 and 2c083c5 resolve this
User avatar (0003745)
ivan (administrator)
2011-04-16 15:07

Fix Released in 3.63

- Issue History
Date Modified Username Field Change
2010-07-19 08:54 ianjofriel New Issue
2010-07-19 08:58 ianjofriel Note Added: 0003335
2010-08-06 19:38 paulh Note Added: 0003347
2010-08-06 19:38 paulh Assigned To => paulh
2010-08-06 19:38 paulh Status new => confirmed
2010-08-28 14:30 paulh Status confirmed => assigned
2010-08-29 13:29 paulh Note Added: 0003394
2010-08-29 13:29 paulh Status assigned => resolved
2010-08-29 13:29 paulh Resolution open => fixed
2010-08-29 13:29 paulh Fixed in Version => 3.63 LTS
2010-08-29 13:29 paulh Target Version => 3.63 LTS
2011-04-16 15:07 ivan Note Added: 0003745
2011-04-16 15:07 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker